MovieClip.prototype.path = function()
{
   return targetPath(this);
};
MovieClip.prototype.setColor = function(colorSet)
{
   this.cObj.setRGB(colorSet);
};
MovieClip.prototype.idNumeric = function()
{
   return Number(this._name.substring(1));
};
MovieClip.prototype.easeOut = function(t, b, c, d)
{
   t /= d / 2;
   if(t < 1)
   {
      return c / 2 * t * t + b;
   }
   t--;
   return (- c) / 2 * (t * (t - 2) - 1) + b;
};
MovieClip.prototype.easeIn = function(current, goal, speed)
{
   if(current != goal)
   {
      var diff = goal - current;
      if(Math.abs(diff) > 1)
      {
         current += diff / speed;
         return current;
      }
      current = goal;
      delete this.onEnterFrame;
      return goal;
   }
};
MovieClip.prototype.easeProp = function()
{
   if(this[this.property] != this.goal)
   {
      var diff = this.goal - this[this.property];
      if(Math.abs(diff) > 1)
      {
         this[this.property] += diff / this.mod;
      }
      else
      {
         this[this.property] = this.goal;
         delete this.onEnterFrame;
      }
   }
   else
   {
      delete this.onEnterFrame;
   }
};
MovieClip.prototype.proportion = function(num1, denom1, denom2)
{
   num2 = num1 * denom2 / denom1;
   return num2;
};
MovieClip.prototype.bounce = function(current, goal)
{
   this.friction = 0.7;
   this.ratio = 0.1;
   this.speedX = this.speedX * this.friction + (goal - current) * this.ratio;
   return current + this.speedX;
};
MovieClip.prototype.initObj = function(x, y, alpha, width, height)
{
   this._x = x;
   this._y = y;
   if(alpha != undefined)
   {
      this._alpha = alpha;
   }
   if(width != undefined)
   {
      this._width = width;
   }
   if(height != undefined)
   {
      this._height = height;
   }
};
_global.gFunc = new Object();
_global.gFunc.moveXY = function()
{
   var dX = this.tX - this._parent._x;
   var dY = this.tY - this._parent._y;
   if(Math.abs(dX) > 1 || Math.abs(dY) > 1)
   {
      this._parent._x += dX * this.vX;
      this._parent._y += dY * this.vY;
   }
   else
   {
      this._parent._x = this.tX;
      this._parent._y = this.tY;
      delete this.onEnterFrame;
      this.removeMovieClip();
   }
};
MovieClip.prototype.moveXY = function(targetX, targetY, speedX, speedY)
{
   this.removeElasticXY();
   var act = this.createEmptyMovieClip("moveXYAct",20012);
   act.tX = targetX;
   act.tY = targetY;
   act.vX = 1 / speedX;
   act.vY = 1 / speedY;
   act.onEnterFrame = _global.gFunc.moveXY;
};
MovieClip.prototype.removeMoveXY = function()
{
   this.moveXYAct.removeMovieClip();
};
_global.gFunc.fade = function()
{
   var dA = this.obj.tA - this.obj._alpha;
   if(Math.abs(dA) > 5)
   {
      this.obj._alpha += Math.round(dA * this.obj.vA);
   }
   else
   {
      this.obj._alpha = this.obj.tA;
      if(this.obj.removeAfterFade)
      {
         this.obj.removeMovieClip();
      }
      delete this.onEnterFrame;
      this.removeMovieClip();
   }
};
MovieClip.prototype.fade = function(targetAlpha, fadeSpeed, removeAfterFade)
{
   this.tA = targetAlpha;
   this.vA = 1 / fadeSpeed;
   this.removeAfterFade = removeAfterFade;
   var act = this.createEmptyMovieClip("fadeAct",20050);
   act.obj = this;
   act.onEnterFrame = _global.gFunc.fade;
};
MovieClip.prototype.setRGB = function(colorValue)
{
   var c = new Color(this);
   c.setRGB(colorValue);
};
MovieClip.prototype.setTransform = function(ra, rb, ba, bb, ga, gb, aa, ab)
{
   var c = new Color(this);
   c.setTransform({ra:ra,rb:rb,ga:ga,gb:gb,ba:ba,bb:bb,aa:aa,ab:ab});
};
MovieClip.prototype.setBright = function(bright)
{
   var c = new Color(this);
   c.setTransform({ra:bright,rb:0,ga:bright,gb:0,ba:bright,bb:0,aa:100,ab:0});
};
_global.gFunc.animBright = function()
{
   var ra = this.cObj.getTransform().ra;
   var dR = this.obj.tBright - ra;
   if(Math.abs(dR) > 1.8)
   {
      ra += dR * this.obj.vBright;
      this.cObj.setTransform({ra:ra,rb:0,ga:ra,gb:0,ba:ra,bb:0,aa:100,ab:0});
   }
   else
   {
      this.cObj.setTransform({ra:this.obj.tBright,rb:0,ga:this.obj.tBright,gb:0,ba:this.obj.tBright,bb:0,aa:100,ab:0});
      delete this.cObj;
      delete this.onEnterFrame;
      this.removeMovieClip();
   }
};
MovieClip.prototype.animBright = function(targetBright, speedBright)
{
   this.tBright = targetBright;
   this.vBright = 1 / speedBright;
   var act = this.createEmptyMovieClip("brightAct",21100);
   act.obj = this;
   act.cObj = new Color(this);
   act.onEnterFrame = _global.gFunc.animBright;
};
MovieClip.prototype.followMouse = function(mc, offsetX, offsetY, spdX, spdY)
{
   this.onMouseMove = function()
   {
      this.moveXY(mc._xmouse + offsetX,mc._ymouse + offsetY,spdX,spdY);
      updateAfterEvent();
   };
};
MovieClip.prototype.followMouseLimit = function(mc, offsetX, offsetY, spdX, spdY, left, top, right, bottom)
{
   this.onMouseMove = function()
   {
      if(mc._xmouse + offsetX < left)
      {
         var x = left;
      }
      else if(mc._xmouse + offsetX > right)
      {
         var x = right;
      }
      else
      {
         var x = mc._xmouse + offsetX;
      }
      if(mc._ymouse + offsetY < top)
      {
         var y = top;
      }
      else if(mc._ymouse + offsetY > bottom)
      {
         var y = bottom;
      }
      else
      {
         var y = mc._ymouse + offsetY;
      }
      this.moveXY(x,y,spdX,spdY);
      updateAfterEvent();
   };
};
MovieClip.prototype.removeFollowMouse = function()
{
   delete this.onMouseMove;
};
MovieClip.prototype.getProportion = function(x1, x2, y1, y2)
{
   var mc = this.createEmptyMovieClip("proportionAct",22000);
   mc.slope = (y2 - y1) / (x2 - x1);
   mc.x1 = x1;
   mc.y1 = y1;
   mc.getProportion = function(x)
   {
      return this.slope * (x - this.x1) + this.y1;
   };
   return mc;
};
MovieClip.prototype.followMouseElastic = function(mc, offsetX, offsetY, friction, ratio, callback)
{
   var act = this.createEmptyMovieClip("followMouseElasticAct",20505);
   act.onMouseMove = function()
   {
      this._parent.elasticXY(mc._xmouse + offsetX,mc._ymouse + offsetY,friction,ratio,callback);
      updateAfterEvent();
   };
};
MovieClip.prototype.followMouseElastic2 = function(mc, offsetX, offsetY, friction, ratio, callback)
{
   var act = this.createEmptyMovieClip("followMouseElastic2Act",20506);
   act.onEnterFrame = function()
   {
      this._parent.elasticXY(mc._xmouse + offsetX,mc._ymouse + offsetY,friction,ratio,callback);
   };
};
MovieClip.prototype.followMouseElasticLimit = function(mc, offsetX, offsetY, friction, ratio, left, top, right, bottom)
{
   this.onMouseMove = function()
   {
      if(mc._xmouse + offsetX < left)
      {
         var x = left;
      }
      else if(mc._xmouse + offsetX > right)
      {
         var x = right;
      }
      else
      {
         var x = mc._xmouse + offsetX;
      }
      if(mc._ymouse + offsetY < top)
      {
         var y = top;
      }
      else if(mc._ymouse + offsetY > bottom)
      {
         var y = bottom;
      }
      else
      {
         var y = mc._ymouse + offsetY;
      }
      this.elasticXY(x,y,0,0,friction,ratio,callback);
      updateAfterEvent();
   };
};
MovieClip.prototype.removeFollowMouseElastic = function()
{
   delete this.followMouseElasticAct.removeMovieClip();
   this.removeElasticXY();
};
MovieClip.prototype.removeFollowMouseElastic2 = function()
{
   delete this.followMouseElastic2Act.removeMovieClip();
   this.removeElasticXY();
};
_global.gFunc.elasticXY = function()
{
   var dX = this.tX - this._parent._x;
   var dY = this.tY - this._parent._y;
   this._parent.vEX = this._parent.vEX * this.friction + dX * this.ratio;
   this._parent.vEY = this._parent.vEY * this.friction + dY * this.ratio;
   if(Math.abs(this._parent.vEX) > 0.5 || Math.abs(dX) > 0.5 || Math.abs(this._parent.vEY) > 0.5 || Math.abs(dY) > 0.5)
   {
      this._parent._x += this._parent.vEX;
      this._parent._y += this._parent.vEY;
   }
   else
   {
      this._parent._x = this.tX;
      this._parent._y = this.tY;
      this._parent.vEX = 0;
      this._parent.vEY = 0;
      this.callback();
      delete this.onEnterFrame;
   }
};
MovieClip.prototype.elasticXY = function(targetX, targetY, friction, ratio, callback)
{
   this.removeMoveXY();
   var act = this.createEmptyMovieClip("elasticXYAct",20212);
   act.tX = targetX;
   act.tY = targetY;
   act.friction = friction;
   act.ratio = ratio;
   act.callback = callback;
   act.onEnterFrame = _global.gFunc.elasticXY;
};
MovieClip.prototype.removeElasticXY = function()
{
   this.vEX = 0;
   this.vEY = 0;
   this.elasticXYAct.removeMovieClip();
};
_global.gFunc.kind = new Array();
gFunc.kind.pauseVid = 1;
gFunc.kind.playVid = 2;
gFunc.kind.zoomIn = 3;
gFunc.kind.zoomOut = 4;
gFunc.kind.nextStep = 5;
gFunc.kind.inchmm = 6;
gFunc.kind.dragH = 7;
gFunc.kind.dragV = 8;
gFunc.kind.scroll = 9;
gFunc.kind.rotate90 = 10;
gFunc.kind.moveMouseH = 11;
gFunc.kind.moveMouseV = 12;
gFunc.kind.moveMouseHV = 13;
_global.gFunc.widthArray = [2,2,2,2,2,1,1,1,2,2,3,3,3];
MovieClip.prototype.attachBalloon = function(kind, behavior, notch, stayTime, instanceName, depth, x, y, attachCallback, removeCallback)
{
   var mc = this.attachMovie("balloon",instanceName,depth,{_x:x,_y:y});
   mc.kind = gFunc.kind[kind];
   mc.notch = notch;
   mc.stayTime = stayTime;
   mc.attachCallback = attachCallback;
   mc.removeCallback = removeCallback;
   mc.part1.gotoAndStop(mc.kind);
   mc.part2.gotoAndStop(mc.kind);
   mc.width = gFunc.widthArray[mc.kind - 1];
   if(behavior == 1)
   {
      mc.createEmptyMovieClip("timerAct",0);
      mc.timerAct.startTime = getTimer();
      mc.timerAct.stayTime = !(!stayTime || stayTime == 0) ? stayTime : 4000;
      mc.timerAct.onEnterFrame = function()
      {
         if(getTimer() - this.startTime > this.stayTime)
         {
            this._parent.removeBalloon(this._parent.removeCallback);
            delete this.onEnterFrame;
            this.removeMovieClip();
         }
      };
   }
   return mc;
};
MovieClip.prototype.attachBalloon2 = function(kind, behavior, notch, stayTime, instanceName, depth, x, y, offsetX, offsetY, speedX, speedY, attachCallback, removeCallback)
{
   var mc = this.attachBalloon(kind,behavior,notch,stayTime,instanceName,depth,x,y,attachCallback,removeCallback);
   mc.followMouse(_root,offsetX,offsetY,speedX,speedY);
   return mc;
};
MovieClip.prototype.attachBalloon3 = function(kind, behavior, notch, stayTime, instanceName, depth, x, y, offsetX, offsetY, friction, ratio, attachCallback, removeCallback)
{
   var mc = this.attachBalloon(kind,behavior,notch,stayTime,instanceName,depth,x,y,attachCallback,removeCallback);
   mc.followMouseElastic(_root,offsetX,offsetY,friction,ratio);
   return mc;
};
MovieClip.prototype.removeBalloon = function(removeCallback)
{
   this.removeCallback = removeCallback;
   this.gotoAndPlay("hide");
};
aniDone = 1;
slideDuration = 3000;
